Usage

Reference for client.usage in the Future AGI Python and TypeScript SDKs: usage.overview.

client.usage on fi.Client (Python) and client.usage on Client from @future-agi/sdk (TypeScript). The models these methods return are on Account response models; how arguments, pagination, errors and strict mode work is in the overview.

Methods

MethodDescription
usage.overviewReturn the current organization’s usage and cost overview.

client.usage

usage.overview

Return the current organization’s usage and cost overview.

GET /usage/v2/usage-overview/

MCP tool: get_usage_overview

result = client.usage.overview()
const result = await client.usage.overview();
Signature
client.usage.overview(
    *,
    period: str | None | NotGiven = NOT_GIVEN,
    period_end: str | None | NotGiven = NOT_GIVEN,
    workspace_id: str | None | NotGiven = NOT_GIVEN,
    extra_query: dict[str, Any] | None = None,
    options: RequestOptions | None = None,
) -> models.UsageOverviewResult
client.usage.overview(params: UsageOverviewParams = {}, options?: RequestOptions): Promise<models.UsageOverviewResult>

export interface UsageOverviewParams {
  period?: string | null;
  period_end?: string | null;
  workspace_id?: string | null;
}

Parameters

period string Optional
period_end string Optional
workspace_id string Optional

Returns

UsageOverviewResult.

Was this page helpful?

Questions & Discussion